## NAME

CURLOPT_COOKIELIST - add to or manipulate cookies held in memory

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_COOKIELIST,
                               char *cookie);

## DESCRIPTION

Pass a char * to a cookie string.

Such a cookie can be either a single line in Netscape / Mozilla format or just regular HTTP-style header (Set-Cookie: ...) format. This will also enable the cookie engine. This adds that single cookie to the internal cookie store.

Additionally, there are commands available that perform actions if you pass in these exact strings:

ALL

erases all cookies held in memory

SESS

erases all session cookies held in memory

FLUSH

writes all known cookies to the file specified by CURLOPT_COOKIEJAR

## DEFAULT

NULL

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

ALL was added in 7.14.1

SESS was added in 7.15.4

FLUSH was added in 7.17.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_COOKIEFILE CURLOPT_COOKIEJAR

This HTML page was made with roffit.